All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface DeviceType

All Superinterfaces:
  CMetadata, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root

    public interface DeviceType

extends PrimaryType

Defines a prototype for a specific supported device.

Attributes of DeviceType are:

- `Width`
- `Height`
- `IsColor`
- `BitDepth`

Associations of DeviceType are:

- `DeployedDevices`
- `ContentTypes`

## Usage

To create an instance of this DeviceType, use the `factory` create methods.
Example: create a DeviceType with name "DeviceType_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     DeviceType myObject = (DeviceType) factory.createComplexMetadataObject(objectStore, "DeviceType_Object", MetadataObjects.DEVICETYPE, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_CONTENTTYPES_NAME` Constant used for the name of the ContentTypes association.
`static java.lang.String` | `ASSOCIATION_DEPLOYEDDEVICES_NAME` Constant used for the name of the DeployedDevices association.
`static java.lang.String` | `ATTRIBUTE_BITDEPTH_NAME` Constant used for the name of the BitDepth attribute.
`static java.lang.String` | `ATTRIBUTE_HEIGHT_NAME` Constant used for the name of the Height attribute.
`static java.lang.String` | `ATTRIBUTE_ISCOLOR_NAME` Constant used for the name of the IsColor attribute.
`static java.lang.String` | `ATTRIBUTE_WIDTH_NAME` Constant used for the name of the Width attribute.

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`int` | `getBitDepth()` Gets the `int` value of `BitDepth`
`int` | `getBitDepthState()` Gets the Metadata State of `BitDepth`
`AssociationList` | `getContentTypes()` Gets the Association list of `ContentTypes`
`AssociationList` | `getContentTypes(boolean fGoToServer)` Gets the Associationlist of `ContentTypes`
`AssociationList` | `getDeployedDevices()` Gets the AssociationList of `DeployedDevices`
`AssociationList` | `getDeployedDevices(boolean fGoToServer)` Gets the Associationlist of `DeployedDevices`
`int` | `getHeight()` Gets the `int` value of `Height`
`int` | `getHeightState()` Gets the Metadata State of `Height`
`int` | `getIsColor()` Gets the `int` value of `IsColor`
`int` | `getIsColorState()` Gets the Metadata State of `IsColor`
`int` | `getWidth()` Gets the `int` value of `Width`
`int` | `getWidthState()` Gets the Metadata State of `Width`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `DeployedDevices`
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`void` | `setBitDepth(int inBitDepth)` Sets the `BitDepth` value and sets the state to MetadataState.LOCAL.
`void` | `setBitDepth(int inBitDepth, int state)` Sets the `BitDepth` Metadata State.
`void` | `setBitDepth(java.lang.String inBitDepth)` Sets the `BitDepth` value and sets the state to MetadataState.LOCAL.
`void` | `setBitDepth(java.lang.String inBitDepth, int state)` Sets the `BitDepth` value and Metadata State.
`void` | `setBitDepthState(int state)` Sets the Metadata State of `BitDepth`.
`void` | `setContentTypes(AssociationList list)` Sets the `ContentTypes` list to be `list`.
`void` | `setContentTypes(AssociationList inObjects, int state)` Sets the entire ContentTypes list to match the passed in AssociationList, sets the state of the ContentTypes
`void` | `setDeployedDevices(AssociationList list)` Sets the `DeployedDevices` list to be `list`.
`void` | `setDeployedDevices(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setHeight(int inHeight)` Sets the `Height` value and sets the state to MetadataState.LOCAL.
`void` | `setHeight(int inHeight, int state)` Sets the `Height` Metadata State.
`void` | `setHeight(java.lang.String inHeight)` Sets the `Height` value and sets the state to MetadataState.LOCAL.
`void` | `setHeight(java.lang.String inHeight, int state)` Sets the `Height` value and Metadata State.
`void` | `setHeightState(int state)` Sets the Metadata State of `Height`.
`void` | `setIsColor(int inIsColor)` Sets the `IsColor` value and sets the state to MetadataState.LOCAL.
`void` | `setIsColor(int inIsColor, int state)` Sets the `IsColor` Metadata State.
`void` | `setIsColor(java.lang.String inIsColor)` Sets the `IsColor` value and sets the state to MetadataState.LOCAL.
`void` | `setIsColor(java.lang.String inIsColor, int state)` Sets the `IsColor` value and Metadata State.
`void` | `setIsColorState(int state)` Sets the Metadata State of `IsColor`.
`void` | `setWidth(int inWidth)` Sets the `Width` value and sets the state to MetadataState.LOCAL.
`void` | `setWidth(int inWidth, int state)` Sets the `Width` Metadata State.
`void` | `setWidth(java.lang.String inWidth)` Sets the `Width` value and sets the state to MetadataState.LOCAL.
`void` | `setWidth(java.lang.String inWidth, int state)` Sets the `Width` value and Metadata State.
`void` | `setWidthState(int state)` Sets the Metadata State of `Width`.

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_WIDTH_NAME

    static final java.lang.String ATTRIBUTE_WIDTH_NAME

  Constant used for the name of the Width attribute.

  Width: Width supported by this device.

  See Also:
    Constant Field Values

### ATTRIBUTE_HEIGHT_NAME

    static final java.lang.String ATTRIBUTE_HEIGHT_NAME

  Constant used for the name of the Height attribute.

  Height: Height supported by this device.

  See Also:
    Constant Field Values

### ATTRIBUTE_ISCOLOR_NAME

    static final java.lang.String ATTRIBUTE_ISCOLOR_NAME

  Constant used for the name of the IsColor attribute.

  IsColor: A boolean value that indicates whether this device supports color.

  See Also:
    Constant Field Values

### ATTRIBUTE_BITDEPTH_NAME

    static final java.lang.String ATTRIBUTE_BITDEPTH_NAME

  Constant used for the name of the BitDepth attribute.

  BitDepth: Bit depth supported by this device.

  See Also:
    Constant Field Values

### ASSOCIATION_DEPLOYEDDEVICES_NAME

    static final java.lang.String ASSOCIATION_DEPLOYEDDEVICES_NAME

  Constant used for the name of the DeployedDevices association.

  DeployedDevices: Devices of this device type.

  See Also:
    Constant Field Values

### ASSOCIATION_CONTENTTYPES_NAME

    static final java.lang.String ASSOCIATION_CONTENTTYPES_NAME

  Constant used for the name of the ContentTypes association.

  ContentTypes: The content types that can be displayed by this device.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `DeployedDevices`

  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getWidth

    int getWidth()
                 throws java.rmi.RemoteException

  Gets the `int` value of `Width`

  Returns:
    The `Width`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getWidthState

    int getWidthState()
                      throws java.rmi.RemoteException

  Gets the Metadata State of `Width`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getHeight

    int getHeight()
                  throws java.rmi.RemoteException

  Gets the `int` value of `Height`

  Returns:
    The `Height`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getHeightState

    int getHeightState()
                       throws java.rmi.RemoteException

  Gets the Metadata State of `Height`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsColor

    int getIsColor()
                   throws java.rmi.RemoteException

  Gets the `int` value of `IsColor`

  Returns:
    The `IsColor`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsColorState

    int getIsColorState()
                        throws java.rmi.RemoteException

  Gets the Metadata State of `IsColor`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getBitDepth

    int getBitDepth()
                    throws java.rmi.RemoteException

  Gets the `int` value of `BitDepth`

  Returns:
    The `BitDepth`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getBitDepthState

    int getBitDepthState()
                         throws java.rmi.RemoteException

  Gets the Metadata State of `BitDepth`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getDeployedDevices

    AssociationList getDeployedDevices()
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the AssociationList of `DeployedDevices`

  Returns:
    Returns the AssociationList of `DeployedDevices` which can be of type:
    Device
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getContentTypes

    AssociationList getContentTypes()
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Association list of `ContentTypes`

  Returns:
    The AssociationList of `ContentTypes` which can be of type:
    ContentType
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDeployedDevices

    AssociationList getDeployedDevices(boolean fGoToServer)
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the Associationlist of `DeployedDevices`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `DeployedDevices` which can be of type:
    Device
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getContentTypes

    AssociationList getContentTypes(boolean fGoToServer)
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Associationlist of `ContentTypes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `ContentTypes` which can be of type:
    ContentType
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setWidth

    void setWidth(int inWidth)
                  throws java.rmi.RemoteException

  Sets the `Width` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inWidth` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setWidth

    void setWidth(int inWidth,
                  int state)
                  throws java.rmi.RemoteException

  Sets the `Width` Metadata State.

  Parameters:
    `inWidth` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setWidth

    void setWidth(java.lang.String inWidth)
                  throws java.rmi.RemoteException

  Sets the `Width` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inWidth` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setWidth

    void setWidth(java.lang.String inWidth,
                  int state)
                  throws java.rmi.RemoteException

  Sets the `Width` value and Metadata State.

  Parameters:
    `inWidth` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setWidthState

    void setWidthState(int state)
                       throws java.rmi.RemoteException

  Sets the Metadata State of `Width`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setHeight

    void setHeight(int inHeight)
                   throws java.rmi.RemoteException

  Sets the `Height` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inHeight` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setHeight

    void setHeight(int inHeight,
                   int state)
                   throws java.rmi.RemoteException

  Sets the `Height` Metadata State.

  Parameters:
    `inHeight` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setHeight

    void setHeight(java.lang.String inHeight)
                   throws java.rmi.RemoteException

  Sets the `Height` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inHeight` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setHeight

    void setHeight(java.lang.String inHeight,
                   int state)
                   throws java.rmi.RemoteException

  Sets the `Height` value and Metadata State.

  Parameters:
    `inHeight` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setHeightState

    void setHeightState(int state)
                        throws java.rmi.RemoteException

  Sets the Metadata State of `Height`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsColor

    void setIsColor(int inIsColor)
                    throws java.rmi.RemoteException

  Sets the `IsColor` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsColor` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsColor

    void setIsColor(int inIsColor,
                    int state)
                    throws java.rmi.RemoteException

  Sets the `IsColor` Metadata State.

  Parameters:
    `inIsColor` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsColor

    void setIsColor(java.lang.String inIsColor)
                    throws java.rmi.RemoteException

  Sets the `IsColor` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsColor` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsColor

    void setIsColor(java.lang.String inIsColor,
                    int state)
                    throws java.rmi.RemoteException

  Sets the `IsColor` value and Metadata State.

  Parameters:
    `inIsColor` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsColorState

    void setIsColorState(int state)
                         throws java.rmi.RemoteException

  Sets the Metadata State of `IsColor`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setBitDepth

    void setBitDepth(int inBitDepth)
                     throws java.rmi.RemoteException

  Sets the `BitDepth` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inBitDepth` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setBitDepth

    void setBitDepth(int inBitDepth,
                     int state)
                     throws java.rmi.RemoteException

  Sets the `BitDepth` Metadata State.

  Parameters:
    `inBitDepth` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setBitDepth

    void setBitDepth(java.lang.String inBitDepth)
                     throws java.rmi.RemoteException

  Sets the `BitDepth` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inBitDepth` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setBitDepth

    void setBitDepth(java.lang.String inBitDepth,
                     int state)
                     throws java.rmi.RemoteException

  Sets the `BitDepth` value and Metadata State.

  Parameters:
    `inBitDepth` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setBitDepthState

    void setBitDepthState(int state)
                          throws java.rmi.RemoteException

  Sets the Metadata State of `BitDepth`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDeployedDevices

    void setDeployedDevices(AssociationList list)
                            throws java.rmi.RemoteException

  Sets the `DeployedDevices` list to be `list`. Objects of which can be of type:
  Device

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDeployedDevices

    void setDeployedDevices(AssociationList inObjects,
                            int state)
                            throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setContentTypes

    void setContentTypes(AssociationList list)
                         throws java.rmi.RemoteException

  Sets the `ContentTypes` list to be `list`. Objects of which can be of type:
  ContentType

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setContentTypes

    void setContentTypes(AssociationList inObjects,
                         int state)
                         throws java.rmi.RemoteException

  Sets the entire ContentTypes list to match the passed in AssociationList, sets the state of the ContentTypes

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.